with GNATCOM.Dispinterface;

package MSHTML.IHTMLNamespaceCollection_Object is

   type IHTMLNamespaceCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_length
     (This : IHTMLNamespaceCollection_Type)
     return GNATCOM.Types.VARIANT;

   function item
     (This  : IHTMLNamespaceCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function add
     (This              : IHTMLNamespaceCollection_Type;
      bstrNamespace     : GNATCOM.Types.VARIANT;
      bstrUrn           : GNATCOM.Types.VARIANT;
      implementationUrl : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free              : Boolean := True)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLNamespaceCollection_Object;

